Bug 1379085 - Restores original 10-amdgpu.conf
Summary: Restores original 10-amdgpu.conf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amdgpu
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Christopher Atherton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-24 19:31 UTC by poma
Modified: 2016-10-19 17:28 UTC (History)
2 users (show)

Fixed In Version: xorg-x11-drv-amdgpu-1.1.2-2.fc24 xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-19 17:28:08 UTC
Type: Bug


Attachments (Terms of Use)
Restores original 10-amdgpu.conf (2.59 KB, patch)
2016-09-24 19:31 UTC, poma
no flags Details | Diff

Description poma 2016-09-24 19:31:24 UTC
Created attachment 1204452 [details]
Restores original 10-amdgpu.conf

Restores original 10-amdgpu.conf,
deletes Fedora's "in-house" 10-amdgpu.conf

10-amdgpu.conf generated here, in xorg-x11-drv-amdgpu.spec:
https://pkgs.fedoraproject.org/cgit/rpms/xorg-x11-drv-amdgpu.git/tree/xorg-x11-drv-amdgpu.spec#n50
which overwrites the original 10-amdgpu.conf:
https://cgit.freedesktop.org/xorg/driver/xf86-video-amdgpu/tree/conf/10-amdgpu.conf#n1
when installed, along with the package, breaks the Xorg init on a machine with non-compatible GPU:
...
X.Org X Server 1.18.4
...
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No device specified for screen "Default Screen Section".
     Using the first device section listed.
(**) |   |-->Device "AMDgpu"
(**) |   |-->GPUDevice "nvidia0"
...
(II) LoadModule: "amdgpu"
(II) Loading /usr/lib64/xorg/modules/drivers/amdgpu_drv.so
(II) Module amdgpu: vendor="X.Org Foundation"
...
(II) LoadModule: "nouveau"
(II) Loading /usr/lib64/xorg/modules/drivers/nouveau_drv.so
...
(II) AMDGPU: Driver for AMD Radeon chipsets: ...,
..
(II) NOUVEAU driver 
(II) NOUVEAU driver for NVIDIA chipset families :
...
(II) [drm] nouveau interface version: 1.3.1
(EE) Screen 0 deleted because of no matching config section.
(II) UnloadModule: "nouveau"
(EE) Device(s) detected, but none match those in the config file.
(EE) 
     Fatal server error:
(EE) no screens found(EE) 
(EE) 
     Please consult the Fedora Project support 
     at http://wiki.x.org
     for help. 
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE) 
(EE) Server terminated with error (1). Closing log file.


See the original commit for explanation why is the original 10-amdgpu.conf as it is:
xfree86: Introduce OutputClass configuration
https://cgit.freedesktop.org/xorg/xserver/commit/hw/xfree86/man/xorg.conf.man?id=a270bb1

Comment 1 Fedora Update System 2016-09-26 01:19:14 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-50d98b2466

Comment 2 Fedora Update System 2016-09-26 01:21:53 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0a2f55e8e2

Comment 3 Fedora Update System 2016-09-30 20:24:02 UTC
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 4 Fedora Update System 2016-10-02 22:23:39 UTC
libXfont2-2.0.1-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.3-2.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 5 Fedora Update System 2016-10-05 01:55:57 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-2.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-2.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-9.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.1.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 6 Fedora Update System 2016-10-05 06:22:48 UTC
xorg-x11-drv-amdgpu-1.1.2-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-10-05 22:25:00 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.1-2.20160929git48632211.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 8 Fedora Update System 2016-10-11 04:57:20 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a5c3ebe67a

Comment 9 Fedora Update System 2016-10-19 17:28:08 UTC
libXfont2-2.0.1-2.fc25, tigervnc-1.7.0-3.fc25, xorg-x11-drivers-7.7-18.fc25, xorg-x11-drv-amdgpu-1.1.2-3.20160929git97d7386c.fc25, xorg-x11-drv-armsoc-1.4.0-3.20160929.fc25, xorg-x11-drv-ati-7.7.1-1.20160928git3fc839ff.fc25, xorg-x11-drv-dummy-0.3.6-26.fc25, xorg-x11-drv-evdev-2.10.4-1.fc25, xorg-x11-drv-fbdev-0.4.3-25.fc25, xorg-x11-drv-fbturbo-0.5.1-0.8.20150221.fc25, xorg-x11-drv-freedreno-1.4.0-3.20160929.fc25, xorg-x11-drv-geode-2.11.18-2.fc25, xorg-x11-drv-intel-2.99.917-26.20160929.fc25, xorg-x11-drv-ivtv-1.2.0-0.22.fc25, xorg-x11-drv-libinput-0.19.1-3.20160929.fc25, xorg-x11-drv-nouveau-1.0.13-1.fc25, xorg-x11-drv-omap-0.4.4-3.fc25, xorg-x11-drv-openchrome-0.5.0-2.fc25, xorg-x11-drv-opentegra-0.7.0-8.fc25, xorg-x11-drv-qxl-0.1.4-10.20160929gite13d28ee.fc25, xorg-x11-drv-sisusb-0.9.6-24.fc25, xorg-x11-drv-synaptics-1.8.99.2-2.fc25, xorg-x11-drv-v4l-0.2.0-47.fc25, xorg-x11-drv-vesa-2.3.2-25.fc25, xorg-x11-drv-vmware-13.0.2-12.20150211git8f0cf7c.fc25, xorg-x11-drv-voodoo-1.2.5-25.fc25, xorg-x11-drv-wacom-0.33.0-2.20160929gitb61d1711.fc25, xorg-x11-font-utils-7.5-32.fc25, xorg-x11-proto-devel-7.7-20.fc25, xorg-x11-server-1.19.0-0.2.20160929.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.